<?
        /***************************************************************/
        /*Function:DateSelector v1.0                                   */
        /*Code: PHP 3                                                  */
        /*Author: Leon Atkinson <leon@clearink.com>                    */
        /*Creates three form fields for get month/day/year             */
        /*Input: Prefix to name of field, default date                 */
        /*Output: HTML to define three date fields                     */
        /***************************************************************/

        /* This function put three selectors for date */
        function DateSelector($inName, $useDate)
        {
                $monthName = array(1=>"January", "February", "March",
                        "April", "May", "June", "July", "August",
                        "September", "October", "November", "December");
         
                if($useDate == "")
                {
                        $useDate = Time(); 
                }
                echo "<SELECT NAME=".$inName."Month>\n";
                for($currentMonth = 1; $currentMonth <= 12; $currentMonth++)
                {
                        echo "<OPTION VALUE=\"";
                        echo intval($currentMonth);
                        echo "\"";
                        if(intval(date("m", $useDate))==$currentMonth)
                        {
                                echo " SELECTED";
                        }
                        echo ">";
                        echo $monthName[$currentMonth];
                }
                echo "</SELECT>";

                echo "<SELECT NAME=".$inName."Day>\n";
                for($currentDay=1; $currentDay <= 31; $currentDay++)
                {
                        echo "<OPTION VALUE=\"$currentDay\"";
                        if(intval(date("d", $useDate))==$currentDay)
                        {
                                echo " SELECTED";
                        }
                        echo ">$currentDay\n";
                }
                echo "</SELECT>";
                
                echo "<SELECT NAME=".$inName."Year>\n";
                $startYear = date("Y", $useDate);
                for($currentYear = $startYear - 5; $currentYear <= $startYear+5;$currentYear++)
                {
                        echo "<OPTION VALUE=\"$currentYear\"";
                        if(date("Y", $useDate)==$currentYear)
                        {
                                echo " SELECTED";
                        }
                        echo ">$currentYear\n";
                }
                echo "</SELECT>";
        
        }
?>

<HTML>

<BODY>
<FORM>
<? DateSelector("Sample", date("U")); ?>
</FORM>

</BODY>

</HTML>